<?php
namespace app\adminapi\controller\finance;

use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\finance\WorkerAccountLogLists;
use app\common\enum\worker\WorkerAccountLogEnum;

/***
 * 账户流水控制器
 * Class AccountLogController
 * @package app\adminapi\controller
 */
class WorkerAccountLogController extends BaseAdminController
{


    /**
     * @notes 账户流水明细
     * @return \think\response\Json
     * @date 2023/2/24 15:25
     */
    public function lists()
    {
        return $this->dataLists(new WorkerAccountLogLists());
    }


    /**
     * @notes 用户余额变动类型
     * @return \think\response\Json
     * @date 2023/2/24 15:25
     */
    public function getUmChangeType()
    {
        return $this->data(WorkerAccountLogEnum::getUserMoneyChangeTypeDesc());
    }


}